#!/bin/bash

run_as_broker=$(cat <<'EOF'
cd
# To make sure we have a decent GCC in our path.
source /opt/rh/devtoolset-7/enable
cd src/broker
make clean
make

cd
mkdir -p bin/
cp src/broker/broker bin/
EOF
)

# Compile as "broker".
sudo --user broker --group broker --set-home -- bash -c "$run_as_broker"

# Then, we can restart the services.
systemctl service restart aes_broker.service

